Name:		iio-sensor-proxy
Version:	3.0
Release:	%mkrel 2
Summary:	IIO sensors to D-Bus proxy

License:	GPLv3+
Group:		System/Base
URL:		https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/
# ovitters there's no good way to figure out the tarball location as there's a hash in the URL!
Source0:	https://github.com/hadess/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	git
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	gnome-common
BuildRequires:	systemd

# (ovitters) dependency need is unclear, waiting further discussion in mga#24877
Recommends:	geoclue

Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
IIO sensors to D-Bus proxy.

%prep
%autosetup

%build
export WARN_CFLAGS="-Wno-unused-result -Wno-error=unused-result -Wno-error=cast-align"
%configure \
	--disable-silent-rules \
	--disable-Werror
%make_build

%install
%make_install

# ignore the documentation for now
rm -rf %{buildroot}%{_datadir}/gtk-doc/html/%{name}/

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.md
%{_bindir}/monitor-sensor
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/80-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf



%changelog
* Mon Apr 20 2020 ovitters <ovitters> 3.0-2.mga8
+ Revision: 1570024
- soften geoclue require to recommends per ongoing mga#24877

* Fri Apr 10 2020 ovitters <ovitters> 3.0-1.mga8
+ Revision: 1566194
- new version 3.0
- update URL

* Thu Feb 13 2020 umeabot <umeabot> 2.4-4.mga8
+ Revision: 1513603
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.4-3.mga7
+ Revision: 1298287
- Mageia 7 Mass Rebuild

* Mon May 07 2018 daviddavid <daviddavid> 2.4-2.mga7
+ Revision: 1227197
- disable Werror compile flags like upstream proposes it
  * https://github.com/hadess/iio-sensor-proxy/issues/226

* Sun Apr 01 2018 joequant <joequant> 2.4-1.mga7
+ Revision: 1214098
- update to 2.4

* Wed Feb 15 2017 mitya <mitya> 2.2-1.mga6
+ Revision: 1086332
- New version 2.2

* Wed Feb 08 2017 mitya <mitya> 2.1-1.mga6
+ Revision: 1085117
- New version 2.1

* Sun Nov 13 2016 pterjan <pterjan> 1.3-2.mga6
+ Revision: 1067094
- Try to fix build on arm

* Sun Nov 13 2016 mitya <mitya> 1.3-1.mga6
+ Revision: 1067038
- New version 1.3
- Update source URL and doc files

* Mon Jun 20 2016 mitya <mitya> 1.1-1.mga6
+ Revision: 1036911
- New version 1.1
- drop patches (merged upstream)

* Thu Feb 11 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 954471
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 colin <colin> 1.0-1.mga6
+ Revision: 851717
- imported package iio-sensor-proxy


* Tue Jun 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-6
- Fix udev rule (RHBZ #1234744)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-4
- use real license (GPLv3+)

* Sun May 24 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-3
- Fix license tag
- Disable silent building

* Sat May 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-2
- Use _udevrules dir instead of custom detecting rules dir

* Sat May 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-1
- Initial package
